// 1. Описать своими словами для чего вообще нужны функции в программировании.
// 2. Описать своими словами, зачем в функцию передавать аргумент.

// ## Задание

// Реализовать функцию, которая будет производить математические операции с введеными пользователем числами. 
// Задача должна быть реализована на языке javascript, 
// без использования фреймворков и сторонник библиотек(типа Jquery).

// #### Технические требования:
// - Считать с помощью модального окна браузера два числа.
// - Считать с помощью модального окна браузера математическую операцию, которую нужно совершить. 
//   Сюда может быть введено`+`, `-`, `*`, `/`.
// - Создать функцию, в которую передать два значения и операцию.
// - Вывести в консоль результат выполнения функции.

// #### Необязательное задание продвинутой сложности:
// - После ввода данных добавить проверку их корректности. 
//   Если пользователь не ввел числа, либо при вводе указал не числа, - спросить оба числа заново
//   (при этом значением по умолчанию для каждой из переменных должна быть введенная ранее информация).

// #### Литература:
// - [Функции - основы](https://learn.javascript.ru/function-basics)


let number1 = +prompt('Введите число');
let number2 = +prompt('Введите число');
let operation = prompt('Введите знак операции');


// function calc(num1, num2, operation) {   
//     let result = 0;
//     if (operation === '+')
//     { result = num1 + num2 }
//     else if (operation === '-')
//     { result = num1 - num2 }
//     else if (operation === '/')
//     { result = num1 / num2 }
//     else if (operation === '*')
//     { result = num1 * num2 }
//     console.log(result);
// };

// calc(number1, number2, operation);

console.log(calc(number1, number2, operation));

function calc(num1, num2, operation) {
    switch (operation) {
        case '+':
            return num1 + num2;
        case '-':
            return num1 - num2;
        case '/':
            return num1 / num2;
        case '*':
            return num1 * num2;
    }
}
